"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomConfigResolver = void 0;
const core_1 = require("@angular-devkit/core");
const fs_1 = require("fs");
class CustomConfigResolver {
    constructor(logger) {
        this.logger = logger;
    }
    resolveGlobal(workspaceRoot) {
        const packageJsonPath = core_1.getSystemPath(core_1.join(workspaceRoot, 'package.json'));
        const packageJson = require(packageJsonPath);
        const workspaceJestConfigPath = core_1.getSystemPath(core_1.join(workspaceRoot, 'jest.config.js'));
        return (packageJson.jest ||
            (fs_1.existsSync(workspaceJestConfigPath) && require(workspaceJestConfigPath)) ||
            {});
    }
    resolveForProject(projectRoot, configPath) {
        const jestConfigPath = core_1.getSystemPath(core_1.join(projectRoot, configPath));
        if (!fs_1.existsSync(jestConfigPath)) {
            this.logger.warn(`warning: unable to locate custom jest configuration file at path "${jestConfigPath}"`);
            return {};
        }
        return require(jestConfigPath);
    }
}
exports.CustomConfigResolver = CustomConfigResolver;
//# sourceMappingURL=custom-config.resolver.js.map