"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultConfigResolver = exports.tsConfigName = exports.testPattern = void 0;
const core_1 = require("@angular-devkit/core");
const default_config_1 = require("./jest-config/default-config");
exports.testPattern = `/**/*(*.)@(spec|test).[tj]s?(x)`;
exports.tsConfigName = 'tsconfig.spec.json';
class DefaultConfigResolver {
    constructor(tsConfig) {
        this.tsConfig = tsConfig;
    }
    resolveGlobal() {
        return default_config_1.default;
    }
    resolveForProject(projectRoot) {
        return {
            globals: {
                'ts-jest': {
                    // Join with the default `tsConfigName` if the `tsConfig` option
                    // is not provided
                    tsConfig: core_1.getSystemPath(core_1.join(projectRoot, this.tsConfig || exports.tsConfigName)),
                },
            },
            testMatch: [`${core_1.getSystemPath(projectRoot)}${exports.testPattern}`],
        };
    }
}
exports.DefaultConfigResolver = DefaultConfigResolver;
//# sourceMappingURL=default-config.resolver.js.map